org.keycloak.models

## Class AuthenticationFlowModel

- java.lang.Object
- - org.keycloak.models.AuthenticationFlowModel

- All Implemented Interfaces:
    Serializable

      public class AuthenticationFlowModel
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthenticationFlowModel.AuthenticationFlowComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFlowModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getProviderId()`
    `boolean` | `isBuiltIn()`
    `boolean` | `isTopLevel()`
    `void` | `setAlias(String alias)`
    `void` | `setBuiltIn(boolean builtIn)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setProviderId(String providerId)`
    `void` | `setTopLevel(boolean topLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationFlowModel

          public AuthenticationFlowModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### isTopLevel

          public boolean isTopLevel()

    - #### setTopLevel

          public void setTopLevel(boolean topLevel)

    - #### isBuiltIn

          public boolean isBuiltIn()

    - #### setBuiltIn

          public void setBuiltIn(boolean builtIn)

Copyright © 2021 JBoss by Red Hat. All rights reserved.